



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Linux学习笔记之五————Linux常用命令之用户、权限管理</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Linux学习笔记之五————Linux常用命令之用户、权限管理</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-26 00:53:41 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>一、引言</p>
<p>用户是Unix/Linux系统工作中重要的一环，用户管理包括用户与组账号的管理。</p>
<p>在Unix/Linux系统中，不论是由本机或是远程登录系统，每个系统都必须拥有一个账号，并且对于不同的系统资源拥有不同的使用权限。</p>
<p>Unix/Linux系统中的root账号通常用于系统的维护和管理，它对Unix/Linux操作系统的所有部分具有不受限制的访问权限。</p>
<p>在Unix/Linux安装的过程中，系统会自动创建许多用户账号，而这些默认的用户就称为&ldquo;标准用户&rdquo;。</p>
<p>在大多数版本的Unix/Linux中，都不推荐直接使用root账号登录系统。</p>
<h3>&lt;1&gt;查看当前用户：whoami</h3>
<p>whoami该命令用户查看当前系统当前账号的用户名。可通过cat /etc/passwd查看系统用户信息。</p>
<p>由于系统管理员通常需要使用多种身份登录系统，例如通常使用普通用户登录系统，然后再以su命令切换到root身份对传统进行管理。这时候就可以使用whoami来查看当前用户的身份。</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180124212410615-578892904.png" /></p>
<h3>&lt;2&gt;查看登录用户：who</h3>
<p>who命令用于查看当前所有登录系统的用户信息。</p>
<p>常用选项：</p>
<table>
<thead>
<tr>
<th>选项</th>
<th>含义</th>
</tr>
</thead>
<tbody>
<tr>
<td>-m或am I</td>
<td>只显示运行who命令的用户名、登录终端和登录时间</td>
</tr>
<tr>
<td>-q或--count</td>
<td>只显示用户的登录账号和登录用户的数量</td>
</tr>
<tr>
<td>-u</td>
<td>在登录时间后显示该用户最后一次操作到当前的时间间隔</td>
</tr>
<tr>
<td>-u或--heading</td>
<td>显示列标题</td>
</tr>
</tbody>
</table>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180124212541506-261713965.png" /></p>
<h3>&lt;3&gt;退出登录账户： exit</h3>
<p>如果是图形界面，退出当前终端；</p>
<p>如果是使用ssh远程登录，退出登陆账户；&nbsp; &nbsp; 注释：<strong>远程登入命令：ssh　用户名＠ｉｐ地址　</strong></p>
<p>如果是切换后的登陆用户，退出则返回上一个登陆账号。</p>
<h3>&lt;4&gt;添加用户账号：useradd</h3>
<p><strong>常用</strong>：<strong>useradd -m 新建用户账号</strong></p>
<p>在Unix/Linux中添加用户账号可以使用adduser或useradd命令，因为adduser命令是指向useradd命令的一个链接，因此，这两个命令的使用格式完全一样。</p>
<p>useradd命令的使用格式如下： useradd [参数] 新建用户账号</p>
<table>
<thead>
<tr>
<th>参数</th>
<th>含义</th>
</tr>
</thead>
<tbody>
<tr>
<td>-d</td>
<td>指定用户登录系统时的主目录，如果不使用该参数，系统自动在/home目录下建立与用户名同名目录为主目录</td>
</tr>
<tr>
<td><strong>-m</strong></td>
<td><strong>自动建立目录</strong></td>
</tr>
<tr>
<td>-g</td>
<td>指定组名称</td>
</tr>
</tbody>
</table>
<p>相关说明：</p>
<ul><li>Linux每个用户都要有一个主目录，主目录就是第一次登陆系统，用户的默认当前目录(/home/用户)；</li>
<li>每一个用户必须有一个主目录，所以用useradd创建用户的时候，一定给用户指定一个主目录；</li>
<li>用户的主目录一般要放到根目录的home目录下，用户的主目录和用户名是相同的；</li>
<li>如果创建用户的时候，不指定组名，那么系统会自动创建一个和用户名一样的组名。</li></ul>
<table>
<thead>
<tr>
<th>命令</th>
<th>含义</th>
</tr>
</thead>
<tbody>
<tr>
<td>useradd -d /home/abc abc -m　或　useradd - abc -m</td>
<td>创建abc用户，如果/home/abc目录不存在，就自动创建这个目录，同时用户属于abc组</td>
</tr>
<tr>
<td>useradd -d /home/a a -g test -m　或　useradd&nbsp; a -g test -m</td>
<td>创建一个用户名字叫a，主目录在/home/a，如果主目录不存在，就自动创建主目录，同时用户属于test组</td>
</tr>
<tr>
<td>cat /etc/passwd</td>
<td>查看系统当前用户名</p>
</td>
</tr>
</tbody>
</table>
<p>注意：使用命令&nbsp;&nbsp;<strong>useradd -m 新建用户账号&nbsp; </strong>添加账户后，还不能用su命令切换账户，需要先为创建账户设置密码。</p>
<h3>&lt;5&gt;设置用户密码：passwd　[用户名]</h3>
<p>在Unix/Linux中，超级用户可以使用passwd命令为普通用户设置或修改用户口令。用户也可以直接使用该命令来修改自己的口令，而无需在命令后面使用用户名。</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180124220428319-1923455749.png" /></p>
<h3>&lt;6&gt;删除用户：userdel</h3>
<p><strong>常用：userdel -r abc(用户名)</strong></p>
<table>
<thead>
<tr>
<th>命令</th>
<th>含义</th>
</tr>
</thead>
<tbody>
<tr>
<td>userdel abc(用户名)</td>
<td>删除abc用户，但不会自动删除用户的主目录</td>
</tr>
<tr>
<td><strong>userdel -r abc(用户名)</strong></td>
<td>删除用户，同时删除用户的主目录</td>
</tr>
</tbody>
</table>
<h3>&lt;7&gt;切换用户：su</h3>
<p><strong>常用：su - 普通用户</strong></p>
<p>可以通过su命令切换用户，su后面可以加&ldquo;-&rdquo;。su和su &ndash;命令不同之处在于，su -切换到对应的用户时会将当前的工作目录自动转换到切换后的用户主目录：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180124220646365-142609056.png" /></p>
<p>注意：</p>
<p>如果是ubuntu平台，需要在命令前加&ldquo;sudo&rdquo;，如果在某些操作需要管理员才能操作，ubuntu无需切换到root用户即可操作，只需加&ldquo;sudo&rdquo;即可。sudo是ubuntu平台下允许系统管理员让普通用户执行一些或者全部的root命令的一个工具，减少了root 用户的登陆和管理时间，提高了安全性。</p>
<table>
<thead>
<tr>
<th>命令</th>
<th>含义</th>
</tr>
</thead>
<tbody>
<tr>
<td>su</td>
<td>切换到root用户</td>
</tr>
<tr>
<td>su root</td>
<td>切换到root用户</td>
</tr>
<tr>
<td>su -</td>
<td>切换到root用户，同时切换目录到/root</td>
</tr>
<tr>
<td>su - root</td>
<td>切换到root用户，同时切换目录到/root</td>
</tr>
<tr>
<td>su 普通用户</td>
<td>切换到普通用户</td>
</tr>
<tr>
<td><strong>su - 普通用户</strong></td>
<td><strong>切换到普通用户，同时切换普通用户所在的目录</strong></p>
</td>
</tr>
</tbody>
</table>
<p>补充：<strong>直接切换到到root</strong></p>
<p><strong> sudo -s</strong></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180124222051631-1465238160.png" /></p>
<h3>&lt;8&gt;添加、删除组账号：groupadd、groupdel</h3>
<p>使用用法：</p>
<p>groupadd 新建组账号</p>
<p>groupdel删除 组账号</p>
<p>cat /etc/group 查看用户组</p>
<p>例子：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180124231152162-1600292296.png" /></p>
<h3>&lt;9&gt;修改用户所在组：usermod</h3>
<p>使用方法：usermod -g 目标用户组 当前用户名</p>
<p>例子：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180125013146756-452339100.png" /></p>
<h3>&lt;10&gt;修改文件权限：chmod</h3>
<p>chmod 修改文件权限有两种使用格式：字母法与数字法。</p>
<p>（1）字母法：chmod u/g/o/a +/-/= rwx 文件</p>
<table>
<thead>
<tr>
<th>[ u/g/o/a ]</th>
<th>含义</th>
</tr>
</thead>
<tbody>
<tr>
<td>u</td>
<td>user 表示该文件的所有者</td>
</tr>
<tr>
<td>g</td>
<td>group 表示与该文件的所有者属于同一组( group )者，即用户组</td>
</tr>
<tr>
<td>o</td>
<td>other 表示其他以外的人</td>
</tr>
<tr>
<td>a</td>
<td>all 表示这三者皆是</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>[ +-= ]</th>
<th>含义</th>
</tr>
</thead>
<tbody>
<tr>
<td>+</td>
<td>增加权限</td>
</tr>
<tr>
<td>-</td>
<td>撤销权限</td>
</tr>
<tr>
<td>=</td>
<td>设定权限</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>rwx</th>
<th>含义</th>
</tr>
</thead>
<tbody>
<tr>
<td>r</td>
<td>read 表示可读取，对于一个目录，如果没有r权限，那么就意味着不能通过ls查看这个目录的内容。</td>
</tr>
<tr>
<td>w</td>
<td>write 表示可写入，对于一个目录，如果没有w权限，那么就意味着不能在目录下创建新的文件。</td>
</tr>
<tr>
<td>x</td>
<td>excute 表示可执行，对于一个目录，如果没有x权限，那么就意味着不能通过cd进入这个目录。</td>
</tr>
</tbody>
</table>
<p>chmod o+w file 给文件file的其它用户增加写权限：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180125013644428-1145298424.png" /></p>
<p>chmod u-r file 给文件file的拥有者减去读的权限：</p>
<p><img referrerpolicy="no-referrer"src="../Images/01-linux基础-55.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180125013703553-1607726087.png" /></p>
<p>chmod g=x file设置文件file的同组用户的权限为可执行，同时去除读、写权限：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180125013719365-113257154.png" /></p>
<p>如果需要同时进行设定拥有者、同组者以及其他人的权限，参考如下：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180125013746303-2131214314.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180125013911350-1170655885.png" /></p>
<p>（2）数字法：&ldquo;rwx&rdquo; 这些权限也可以用数字来代替</p>
<table>
<thead>
<tr>
<th>字母</th>
<th>说明</th>
</tr>
</thead>
<tbody>
<tr>
<td>r</td>
<td>读取权限，数字代号为 "4"</td>
</tr>
<tr>
<td>w</td>
<td>写入权限，数字代号为 "2"</td>
</tr>
<tr>
<td>x</td>
<td>执行权限，数字代号为 "1"</td>
</tr>
<tr>
<td>-</td>
<td>不具任何权限，数字代号为 "0"</td>
</tr>
</tbody>
</table>
<p>如执行：chmod u=rwx,g=rx,o=r filename 就等同于：chmod u=7,g=5,o=4 filename</p>
<p>chmod 751 file：</p>
<ul><li>文件所有者：读、写、执行权限</li>
<li>同组用户：读、执行的权限</li>
<li>其它用户：执行的权限</li></ul>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180125014015662-423694366.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180125014024944-1586959776.png" /></p>
<p>注意：如果想递归所有目录加上相同权限，需要加上参数&ldquo; -R &rdquo;。 如：chmod 777 test/ -R 递归 test 目录下所有文件加 777 权限</p>
<h3>&lt;11&gt;修改文件所有者：chown</h3>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180125014156240-180836248.png" /></p>
<h3>&lt;12&gt;修改文件所属组：chgrp</h3>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/937910/201801/937910-20180125014606756-1251089641.png" /></p>
<p>注意区别 usermod 与chgrp</p>
<ul><li>　　usermod&nbsp;修改用户所在组的命令</li>
<li>　　chgrp修改文件所属组</li></ul>
<p>------------------------------------------------</p>
<p>来源：整理自网络</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m8zjrw19.html">React-redux-webpack项目总结之用到的Es6基本语法</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qnyvkk8.html">HDU 5379</a>
		</li>
						<li><a href="https://www.batexi.com/a/39r722e8.html">myeclipse 控制台打印空指针 ，黏贴控制台sql到plsql有结果集，异常处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q703nj8.html">sqlserver 中存储过程的基础知识记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qx4j409.html">NOI2004 郁闷的出纳员</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqvnem19.html">C&num;反射设置属性值和获取属性值</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8e6xxeq.html">安装Maven、Eclipse设置、添加地址JAR</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8z0oexq.html">《构建之法》之第8、9、10章读后感 ，以及sprint总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/m966j7v9.html">Mysql 解决left join 数据重复的问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnjy52q.html">ubuntu 下安装极点五笔</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wponvq.html">flexible&period;js字体大小诡异现象解析及解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0kw6lq.html">AutoCompleteTextview、MultiAutoCompleteTextView</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyy24zmq.html">oracle建表流程</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gj60079.html">sed 多行处理详细总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pw5dpk8.html">&lbrack;JS&rsqb; Topic - define &amp;quot&semi;class&amp;quot&semi; by tricky methods</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m200v2q.html">06机器学习实战之SVM</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv241yj9.html">17行代码解决微信小程序图片延迟加载</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdw7vnv9.html">StanFord ML 笔记 第八部分</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25rjwlq.html">&lbrack;SoapUI&rsqb; 从上一个测试步骤获取ID list，通过Groovy脚本动态生成 Data Source 供后面的步骤使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qveke6x9.html">Codeforces807 B&period; T-Shirt Hunt                                                                                            2017-05-08 23&colon;23             175人阅读              评论&lpar;0&rpar;              收藏</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/93wgn10q.html">E&period; Segment Sum（数位dp）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j1d2e09.html">373&period; Find K Pairs with Smallest Sums 找出求和和最小的k组数</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4j3knjq.html">347&period; Top K Frequent Elements 最常用的k个元素</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwv4ndk8.html">JVM总括四-类加载过程、双亲委派模型、对象实例化过程</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1rwy2z8.html">SSL、TLS协议格式、HTTPS通信过程、RDP SSL通信过程（缺heartbeat）</a>
			</li>
						<li><a href="https://www.batexi.com/a/90rk40o9.html">osg探究补充：Node&colon;&colon;accept&lpar;NodeVisitor&amp;amp&semi; nv&rpar;及NodeVisitor简介</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7o02yk8.html">五子棋 AI&lpar;AIpha-beta算法&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/960zzp49.html">rsync 定时备份&amp;lt&semi;crontab&plus;backrsync&period;sh&amp;gt&semi; 简陋版</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kjrdvj9.html">《C&num;从现象到本质》读书笔记（八）第10章反射</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxdz4vd9.html">JavaScript 方法</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
